#!/bin/bash
##
## PakVPN RoadWarrior WG ostiary STOP script
##
## CRE 23jan21 
##

PakRemo=${1}

## Define Globals
NATOUT01=pak23
NATOUT02=pak2
NATIP01="172.18.0.13"
NATIP02="172.18.0.13"
RWIP="172.18.1.1"

echo "STOP PakRemoWG VPN - `/bin/date '+%a, %d-%B-%Y at %H:%M'` " >> /opt/pakadmin/PakREMO.log
echo "From $1  and $PakRemo "  >> /opt/pakadmin/PakREMO.log

## LOG transactions
/sbin/iptables -L FORWARD -nv | /bin/grep 'pakremo' >> /opt/pakadmin/PakREMO.log 
/sbin/iptables -L INPUT -nv | /bin/grep ${PakRemo} >> /opt/pakadmin/PakREMO.log 
/sbin/iptables -L OUTPUT -nv | /bin/grep ${PakRemo} >> /opt/pakadmin/PakREMO.log 
/sbin/iptables -t nat -L POSTROUTING -nv | /bin/grep 'pak' >> /opt/pakadmin/PakREMO.log 
/usr/bin/wg show pakremo >> /opt/pakadmin/PakREMO.log 

## Remove INPUT rules for WG
/sbin/iptables -D INPUT -i inet -s ${PakRemo} -d 7.6.5.4 -j ACCEPT

## Remove OUTPUT rules for WG
/sbin/iptables -D OUTPUT -o inet -d ${PakRemo} -s 7.6.5.4 -j ACCEPT

## Disable NAT for road warrior 
/sbin/iptables -t nat -D POSTROUTING -o ${NATOUT01} -s ${RWIP} -j SNAT --to-source ${NATIP01}
/sbin/iptables -t nat -D POSTROUTING -o ${NATOUT02} -s ${RWIP} -j SNAT --to-source ${NATIP02} 

## Disable PakREMO WG subsystem
/etc/vpn/PakVPN.Master.sh wgremove 0 0
/etc/vpn/PakVPN.Master.sh wgremove 0

echo "End PakRemo WG STOP" >> /opt/pakadmin/PakREMO.log
